﻿2026-06-03T23:58:23.2505502Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-03T23:58:23.2506058Z with:
2026-06-03T23:58:23.2506366Z   components: clippy
2026-06-03T23:58:23.2506675Z   toolchain: stable
2026-06-03T23:58:23.2506953Z ##[endgroup]
2026-06-03T23:58:23.2836596Z ##[group]Run : parse toolchain version
2026-06-03T23:58:23.2837476Z [36;1m: parse toolchain version[0m
2026-06-03T23:58:23.2837902Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-03T23:58:23.2838645Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-03T23:58:23.2839456Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-03T23:58:23.2840373Z [36;1m  exit 1[0m
2026-06-03T23:58:23.2840804Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-03T23:58:23.2842820Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-03T23:58:23.2843618Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.2844414Z [36;1m  else[0m
2026-06-03T23:58:23.2845047Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.2845771Z [36;1m  fi[0m
2026-06-03T23:58:23.2846201Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-03T23:58:23.2847004Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.2847679Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-03T23:58:23.2848451Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.2849169Z [36;1melse[0m
2026-06-03T23:58:23.2849542Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.2849974Z [36;1mfi[0m
2026-06-03T23:58:23.2873676Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:23.2874275Z env:
2026-06-03T23:58:23.2874580Z   toolchain: stable
2026-06-03T23:58:23.2874915Z ##[endgroup]
2026-06-03T23:58:23.3831990Z ##[group]Run : construct rustup command line
2026-06-03T23:58:23.3833089Z [36;1m: construct rustup command line[0m
2026-06-03T23:58:23.3833773Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.3834717Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.3835468Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:23.3852411Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:23.3853319Z env:
2026-06-03T23:58:23.3853571Z   targets: 
2026-06-03T23:58:23.3853834Z   components: clippy
2026-06-03T23:58:23.3854125Z ##[endgroup]
2026-06-03T23:58:23.5487958Z ##[group]Run : set $CARGO_HOME
2026-06-03T23:58:23.5488426Z [36;1m: set $CARGO_HOME[0m
2026-06-03T23:58:23.5488942Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-03T23:58:23.5506235Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:23.5506853Z ##[endgroup]
2026-06-03T23:58:23.6167242Z ##[group]Run : install rustup if needed on windows
2026-06-03T23:58:23.6167813Z [36;1m: install rustup if needed on windows[0m
2026-06-03T23:58:23.6168296Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-03T23:58:23.6169443Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-03T23:58:23.6178545Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-03T23:58:23.6179403Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-03T23:58:23.6182312Z [36;1mfi[0m
2026-06-03T23:58:23.6198815Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:23.6199439Z env:
2026-06-03T23:58:23.6199736Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:23.6200134Z ##[endgroup]
2026-06-03T23:58:23.6949786Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-03T23:58:23.6951274Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-03T23:58:23.6967448Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:23.6968535Z env:
2026-06-03T23:58:23.6968831Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:23.6969238Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-03T23:58:23.6969571Z ##[endgroup]
2026-06-03T23:58:27.1040793Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-03T23:58:27.6914725Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:58:27.7322300Z info: removing previous version of component clippy
2026-06-03T23:58:27.7516185Z info: removing previous version of component rustfmt
2026-06-03T23:58:27.7663424Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-03T23:58:29.6369893Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-03T23:58:29.6370731Z info: removing previous version of component cargo
2026-06-03T23:58:29.6371301Z info: removing previous version of component rust-std
2026-06-03T23:58:29.6371868Z info: removing previous version of component rustc
2026-06-03T23:58:29.6372373Z info: downloading 7 components
2026-06-03T23:58:51.5799707Z 
2026-06-03T23:58:51.8083721Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-03T23:58:51.8093885Z 
2026-06-03T23:58:51.8571219Z ##[group]Run rustup default stable
2026-06-03T23:58:51.8571689Z [36;1mrustup default stable[0m
2026-06-03T23:58:51.8588578Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:51.8589190Z env:
2026-06-03T23:58:51.8589496Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:51.8589901Z ##[endgroup]
2026-06-03T23:58:52.1782081Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-03T23:58:52.2093989Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-03T23:58:52.2094556Z 
2026-06-03T23:58:52.2372469Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:58:52.2404146Z 
2026-06-03T23:58:52.2807730Z ##[group]Run : create cachekey
2026-06-03T23:58:52.2808267Z [36;1m: create cachekey[0m
2026-06-03T23:58:52.2809115Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-03T23:58:52.2810230Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-03T23:58:52.2811079Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-03T23:58:52.2827568Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:52.2828278Z env:
2026-06-03T23:58:52.2828680Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:52.2829235Z ##[endgroup]
2026-06-03T23:58:53.3547269Z ##[group]Run : disable incremental compilation
2026-06-03T23:58:53.3547919Z [36;1m: disable incremental compilation[0m
2026-06-03T23:58:53.3548518Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-03T23:58:53.3549113Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-03T23:58:53.3549648Z [36;1mfi[0m
2026-06-03T23:58:53.3565820Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:53.3566779Z env:
2026-06-03T23:58:53.3567235Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:53.3567738Z ##[endgroup]
2026-06-03T23:58:53.4455287Z ##[group]Run : enable colors in Cargo output
2026-06-03T23:58:53.4455622Z [36;1m: enable colors in Cargo output[0m
2026-06-03T23:58:53.4456372Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-03T23:58:53.4456880Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-03T23:58:53.4457309Z [36;1mfi[0m
2026-06-03T23:58:53.4473000Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:53.4473385Z env:
2026-06-03T23:58:53.4473578Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:53.4473820Z   CARGO_INCREMENTAL: 0
2026-06-03T23:58:53.4474015Z ##[endgroup]
2026-06-03T23:58:53.5190867Z ##[group]Run : enable Cargo sparse registry
2026-06-03T23:58:53.5191385Z [36;1m: enable Cargo sparse registry[0m
2026-06-03T23:58:53.5192145Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-03T23:58:53.5193138Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-03T23:58:53.5194197Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-03T23:58:53.5195262Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T23:58:53.5195998Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-03T23:58:53.5196739Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-03T23:58:53.5197493Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T23:58:53.5198192Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-03T23:58:53.5198692Z [36;1m  fi[0m
2026-06-03T23:58:53.5198954Z [36;1mfi[0m
2026-06-03T23:58:53.5216561Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:53.5217145Z env:
2026-06-03T23:58:53.5217436Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:53.5217826Z   CARGO_INCREMENTAL: 0
2026-06-03T23:58:53.5218142Z   CARGO_TERM_COLOR: always
2026-06-03T23:58:53.5218453Z ##[endgroup]
2026-06-03T23:58:53.9547492Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-03T23:58:53.9548144Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-03T23:58:53.9548962Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-03T23:58:53.9549874Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-03T23:58:53.9550532Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-03T23:58:53.9550974Z [36;1mfi[0m
2026-06-03T23:58:53.9566512Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:53.9567113Z env:
2026-06-03T23:58:53.9567398Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:53.9567779Z   CARGO_INCREMENTAL: 0
2026-06-03T23:58:53.9568107Z   CARGO_TERM_COLOR: always
2026-06-03T23:58:53.9568412Z ##[endgroup]
2026-06-03T23:58:54.1452844Z ##[group]Run rustc +stable --version --verbose
2026-06-03T23:58:54.1453330Z [36;1mrustc +stable --version --verbose[0m
2026-06-03T23:58:54.1469400Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T23:58:54.1469990Z env:
2026-06-03T23:58:54.1470277Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T23:58:54.1470675Z   CARGO_INCREMENTAL: 0
2026-06-03T23:58:54.1470989Z   CARGO_TERM_COLOR: always
2026-06-03T23:58:54.1471305Z ##[endgroup]
2026-06-03T23:58:54.3461719Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T23:58:54.3476703Z binary: rustc
2026-06-03T23:58:54.3485946Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-03T23:58:54.3529837Z commit-date: 2026-05-25
2026-06-03T23:58:54.3543778Z host: x86_64-pc-windows-msvc
2026-06-03T23:58:54.3551153Z release: 1.96.0
2026-06-03T23:58:54.3554889Z LLVM version: 22.1.2
